classification
Title: Import PEP 593 (Flexible function and variable annotations) support already implemented in typing_extensions
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gvanrossum, jstasiak, levkivskyi
Priority: normal Keywords: patch

Created on 2020-01-29 21:46 by jstasiak, last changed 2020-02-09 07:01 by petdance. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18260 merged jstasiak, 2020-01-29 21:59
PR 18379 merged jstasiak, 2020-02-07 01:13
PR 18422 open petdance, 2020-02-09 07:01
Messages (2)
msg361398 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-02-05 01:10
New changeset cf5b109dbb39bcff1bc5b5d22036866d11de971b by Jakub Stasiak in branch 'master':
bpo-39491: Merge PEP 593 (typing.Annotated) support (#18260)
https://github.com/python/cpython/commit/cf5b109dbb39bcff1bc5b5d22036866d11de971b
msg361525 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-02-07 01:15
New changeset 38aaaaac805fa30870e2d093e52a900dddde3b34 by Jakub Stasiak in branch 'master':
bpo-39491: Mention Annotated in get_origin() docstring (GH-18379)
https://github.com/python/cpython/commit/38aaaaac805fa30870e2d093e52a900dddde3b34
History
Date User Action Args
2020-02-09 07:01:58petdancesetpull_requests: + pull_request17799
2020-02-09 06:44:36xtreaksetpull_requests: - pull_request17793
2020-02-09 06:44:25xtreaksetpull_requests: - pull_request17797
2020-02-09 05:50:38petdancesetpull_requests: + pull_request17797
2020-02-09 05:46:38petdancesetpull_requests: + pull_request17793
2020-02-07 01:15:19gvanrossumsetmessages: + msg361525
2020-02-07 01:13:54jstasiaksetpull_requests: + pull_request17766
2020-02-06 17:00:32jstasiaksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-02-05 01:10:31gvanrossumsetmessages: + msg361398
2020-02-03 13:11:42jstasiaksetnosy: + levkivskyi
2020-02-03 13:11:06jstasiaksetnosy: + gvanrossum
2020-01-29 21:59:55jstasiaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request17636
2020-01-29 21:46:08jstasiakcreate